Package org.jbpm.services.task.events

## Class TaskEventSupport

- java.lang.Object
- - org.drools.core.event.AbstractEventSupport<org.kie.api.task.TaskLifeCycleEventListener>
  - - org.jbpm.services.task.events.TaskEventSupport

- All Implemented Interfaces:
    `Externalizable`, `Serializable`

      public class TaskEventSupport
      extends org.drools.core.event.AbstractEventSupport<org.kie.api.task.TaskLifeCycleEventListener>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskEventSupport()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `fireAfterTaskActivated​(org.kie.api.task.model.Task task, org.kie.internal.task.api.TaskContext context)` |
    `void` | `fireAfterTaskAdded​(org.kie.api.task.model.Task task, org.kie.internal.task.api.TaskContext context)` |
    `void` | `fireAfterTaskAssignmentsAddedEvent​(org.kie.api.task.model.Task task, org.kie.internal.task.api.TaskContext context, org.kie.api.task.TaskLifeCycleEventListener.AssignmentType type, List<org.kie.api.task.model.OrganizationalEntity> entities)` |
    `void` | `fireAfterTaskAssignmentsRemovedEvent​(org.kie.api.task.model.Task task, org.kie.internal.task.api.TaskContext context, org.kie.api.task.TaskLifeCycleEventListener.AssignmentType type, List<org.kie.api.task.model.OrganizationalEntity> entities)` |
    `void` | `fireAfterTaskClaimed​(org.kie.api.task.model.Task task, org.kie.internal.task.api.TaskContext context)` |
    `void` | `fireAfterTaskCompleted​(org.kie.api.task.model.Task task, org.kie.internal.task.api.TaskContext context)` |
    `void` | `fireAfterTaskDelegated​(org.kie.api.task.model.Task task, org.kie.internal.task.api.TaskContext context)` |
    `void` | `fireAfterTaskExited​(org.kie.api.task.model.Task task, org.kie.internal.task.api.TaskContext context)` |
    `void` | `fireAfterTaskFailed​(org.kie.api.task.model.Task task, org.kie.internal.task.api.TaskContext context)` |
    `void` | `fireAfterTaskForwarded​(org.kie.api.task.model.Task task, org.kie.internal.task.api.TaskContext context)` |
    `void` | `fireAfterTaskInputVariablesChanged​(org.kie.api.task.model.Task task, org.kie.internal.task.api.TaskContext context, Map<String,​Object> variables)` |
    `void` | `fireAfterTaskNominated​(org.kie.api.task.model.Task task, org.kie.internal.task.api.TaskContext context)` |
    `void` | `fireAfterTaskNotified​(org.kie.api.task.model.Task task, org.kie.internal.task.api.TaskContext context)` |
    `void` | `fireAfterTaskOutputVariablesChanged​(org.kie.api.task.model.Task task, org.kie.internal.task.api.TaskContext context, Map<String,​Object> variables)` |
    `void` | `fireAfterTaskReassigned​(org.kie.api.task.model.Task task, org.kie.internal.task.api.TaskContext context)` |
    `void` | `fireAfterTaskReleased​(org.kie.api.task.model.Task task, org.kie.internal.task.api.TaskContext context)` |
    `void` | `fireAfterTaskResumed​(org.kie.api.task.model.Task task, org.kie.internal.task.api.TaskContext context)` |
    `void` | `fireAfterTaskSkipped​(org.kie.api.task.model.Task task, org.kie.internal.task.api.TaskContext context)` |
    `void` | `fireAfterTaskStarted​(org.kie.api.task.model.Task task, org.kie.internal.task.api.TaskContext context)` |
    `void` | `fireAfterTaskStopped​(org.kie.api.task.model.Task task, org.kie.internal.task.api.TaskContext context)` |
    `void` | `fireAfterTaskSuspended​(org.kie.api.task.model.Task task, org.kie.internal.task.api.TaskContext context)` |
    `void` | `fireAfterTaskUpdated​(org.kie.api.task.model.Task task, org.kie.internal.task.api.TaskContext context)` |
    `void` | `fireBeforeTaskActivated​(org.kie.api.task.model.Task task, org.kie.internal.task.api.TaskContext context)` |
    `void` | `fireBeforeTaskAdded​(org.kie.api.task.model.Task task, org.kie.internal.task.api.TaskContext context)` |
    `void` | `fireBeforeTaskAssignmentsAddedEvent​(org.kie.api.task.model.Task task, org.kie.internal.task.api.TaskContext context, org.kie.api.task.TaskLifeCycleEventListener.AssignmentType type, List<org.kie.api.task.model.OrganizationalEntity> entities)` |
    `void` | `fireBeforeTaskAssignmentsRemovedEvent​(org.kie.api.task.model.Task task, org.kie.internal.task.api.TaskContext context, org.kie.api.task.TaskLifeCycleEventListener.AssignmentType type, List<org.kie.api.task.model.OrganizationalEntity> entities)` |
    `void` | `fireBeforeTaskClaimed​(org.kie.api.task.model.Task task, org.kie.internal.task.api.TaskContext context)` |
    `void` | `fireBeforeTaskCompleted​(org.kie.api.task.model.Task task, org.kie.internal.task.api.TaskContext context)` |
    `void` | `fireBeforeTaskDelegated​(org.kie.api.task.model.Task task, org.kie.internal.task.api.TaskContext context)` |
    `void` | `fireBeforeTaskExited​(org.kie.api.task.model.Task task, org.kie.internal.task.api.TaskContext context)` |
    `void` | `fireBeforeTaskFailed​(org.kie.api.task.model.Task task, org.kie.internal.task.api.TaskContext context)` |
    `void` | `fireBeforeTaskForwarded​(org.kie.api.task.model.Task task, org.kie.internal.task.api.TaskContext context)` |
    `void` | `fireBeforeTaskInputVariablesChanged​(org.kie.api.task.model.Task task, org.kie.internal.task.api.TaskContext context, Map<String,​Object> variables)` |
    `void` | `fireBeforeTaskNominated​(org.kie.api.task.model.Task task, org.kie.internal.task.api.TaskContext context)` |
    `void` | `fireBeforeTaskNotified​(org.kie.api.task.model.Task task, org.kie.internal.task.api.TaskContext context)` |
    `void` | `fireBeforeTaskOutputVariablesChanged​(org.kie.api.task.model.Task task, org.kie.internal.task.api.TaskContext context, Map<String,​Object> variables)` |
    `void` | `fireBeforeTaskReassigned​(org.kie.api.task.model.Task task, org.kie.internal.task.api.TaskContext context)` |
    `void` | `fireBeforeTaskReleased​(org.kie.api.task.model.Task task, org.kie.internal.task.api.TaskContext context)` |
    `void` | `fireBeforeTaskResumed​(org.kie.api.task.model.Task task, org.kie.internal.task.api.TaskContext context)` |
    `void` | `fireBeforeTaskSkipped​(org.kie.api.task.model.Task task, org.kie.internal.task.api.TaskContext context)` |
    `void` | `fireBeforeTaskStarted​(org.kie.api.task.model.Task task, org.kie.internal.task.api.TaskContext context)` |
    `void` | `fireBeforeTaskStopped​(org.kie.api.task.model.Task task, org.kie.internal.task.api.TaskContext context)` |
    `void` | `fireBeforeTaskSuspended​(org.kie.api.task.model.Task task, org.kie.internal.task.api.TaskContext context)` |
    `void` | `fireBeforeTaskUpdated​(org.kie.api.task.model.Task task, org.kie.internal.task.api.TaskContext context)` |

    - ### Methods inherited from class org.drools.core.event.AbstractEventSupport

      `addEventListener, clear, getEventListeners, hasListeners, notifyAllListeners, readExternal, removeEventListener, removeEventListener, writeExternal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskEventSupport

          public TaskEventSupport()

  - ### Method Detail

    - #### fireBeforeTaskActivated

          public void fireBeforeTaskActivated​(org.kie.api.task.model.Task task,
                                              org.kie.internal.task.api.TaskContext context)

    - #### fireBeforeTaskClaimed

          public void fireBeforeTaskClaimed​(org.kie.api.task.model.Task task,
                                            org.kie.internal.task.api.TaskContext context)

    - #### fireBeforeTaskSkipped

          public void fireBeforeTaskSkipped​(org.kie.api.task.model.Task task,
                                            org.kie.internal.task.api.TaskContext context)

    - #### fireBeforeTaskStarted

          public void fireBeforeTaskStarted​(org.kie.api.task.model.Task task,
                                            org.kie.internal.task.api.TaskContext context)

    - #### fireBeforeTaskStopped

          public void fireBeforeTaskStopped​(org.kie.api.task.model.Task task,
                                            org.kie.internal.task.api.TaskContext context)

    - #### fireBeforeTaskCompleted

          public void fireBeforeTaskCompleted​(org.kie.api.task.model.Task task,
                                              org.kie.internal.task.api.TaskContext context)

    - #### fireBeforeTaskFailed

          public void fireBeforeTaskFailed​(org.kie.api.task.model.Task task,
                                           org.kie.internal.task.api.TaskContext context)

    - #### fireBeforeTaskAdded

          public void fireBeforeTaskAdded​(org.kie.api.task.model.Task task,
                                          org.kie.internal.task.api.TaskContext context)

    - #### fireBeforeTaskExited

          public void fireBeforeTaskExited​(org.kie.api.task.model.Task task,
                                           org.kie.internal.task.api.TaskContext context)

    - #### fireBeforeTaskReleased

          public void fireBeforeTaskReleased​(org.kie.api.task.model.Task task,
                                             org.kie.internal.task.api.TaskContext context)

    - #### fireBeforeTaskResumed

          public void fireBeforeTaskResumed​(org.kie.api.task.model.Task task,
                                            org.kie.internal.task.api.TaskContext context)

    - #### fireBeforeTaskSuspended

          public void fireBeforeTaskSuspended​(org.kie.api.task.model.Task task,
                                              org.kie.internal.task.api.TaskContext context)

    - #### fireBeforeTaskForwarded

          public void fireBeforeTaskForwarded​(org.kie.api.task.model.Task task,
                                              org.kie.internal.task.api.TaskContext context)

    - #### fireBeforeTaskDelegated

          public void fireBeforeTaskDelegated​(org.kie.api.task.model.Task task,
                                              org.kie.internal.task.api.TaskContext context)

    - #### fireBeforeTaskNominated

          public void fireBeforeTaskNominated​(org.kie.api.task.model.Task task,
                                              org.kie.internal.task.api.TaskContext context)

    - #### fireBeforeTaskUpdated

          public void fireBeforeTaskUpdated​(org.kie.api.task.model.Task task,
                                            org.kie.internal.task.api.TaskContext context)

    - #### fireBeforeTaskReassigned

          public void fireBeforeTaskReassigned​(org.kie.api.task.model.Task task,
                                               org.kie.internal.task.api.TaskContext context)

    - #### fireBeforeTaskNotified

          public void fireBeforeTaskNotified​(org.kie.api.task.model.Task task,
                                             org.kie.internal.task.api.TaskContext context)

    - #### fireBeforeTaskInputVariablesChanged

          public void fireBeforeTaskInputVariablesChanged​(org.kie.api.task.model.Task task,
                                                          org.kie.internal.task.api.TaskContext context,
                                                          Map<String,​Object> variables)

    - #### fireBeforeTaskOutputVariablesChanged

          public void fireBeforeTaskOutputVariablesChanged​(org.kie.api.task.model.Task task,
                                                           org.kie.internal.task.api.TaskContext context,
                                                           Map<String,​Object> variables)

    - #### fireBeforeTaskAssignmentsAddedEvent

          public void fireBeforeTaskAssignmentsAddedEvent​(org.kie.api.task.model.Task task,
                                                          org.kie.internal.task.api.TaskContext context,
                                                          org.kie.api.task.TaskLifeCycleEventListener.AssignmentType type,
                                                          List<org.kie.api.task.model.OrganizationalEntity> entities)

    - #### fireBeforeTaskAssignmentsRemovedEvent

          public void fireBeforeTaskAssignmentsRemovedEvent​(org.kie.api.task.model.Task task,
                                                            org.kie.internal.task.api.TaskContext context,
                                                            org.kie.api.task.TaskLifeCycleEventListener.AssignmentType type,
                                                            List<org.kie.api.task.model.OrganizationalEntity> entities)

    - #### fireAfterTaskActivated

          public void fireAfterTaskActivated​(org.kie.api.task.model.Task task,
                                             org.kie.internal.task.api.TaskContext context)

    - #### fireAfterTaskClaimed

          public void fireAfterTaskClaimed​(org.kie.api.task.model.Task task,
                                           org.kie.internal.task.api.TaskContext context)

    - #### fireAfterTaskSkipped

          public void fireAfterTaskSkipped​(org.kie.api.task.model.Task task,
                                           org.kie.internal.task.api.TaskContext context)

    - #### fireAfterTaskStarted

          public void fireAfterTaskStarted​(org.kie.api.task.model.Task task,
                                           org.kie.internal.task.api.TaskContext context)

    - #### fireAfterTaskStopped

          public void fireAfterTaskStopped​(org.kie.api.task.model.Task task,
                                           org.kie.internal.task.api.TaskContext context)

    - #### fireAfterTaskCompleted

          public void fireAfterTaskCompleted​(org.kie.api.task.model.Task task,
                                             org.kie.internal.task.api.TaskContext context)

    - #### fireAfterTaskFailed

          public void fireAfterTaskFailed​(org.kie.api.task.model.Task task,
                                          org.kie.internal.task.api.TaskContext context)

    - #### fireAfterTaskAdded

          public void fireAfterTaskAdded​(org.kie.api.task.model.Task task,
                                         org.kie.internal.task.api.TaskContext context)

    - #### fireAfterTaskExited

          public void fireAfterTaskExited​(org.kie.api.task.model.Task task,
                                          org.kie.internal.task.api.TaskContext context)

    - #### fireAfterTaskReleased

          public void fireAfterTaskReleased​(org.kie.api.task.model.Task task,
                                            org.kie.internal.task.api.TaskContext context)

    - #### fireAfterTaskResumed

          public void fireAfterTaskResumed​(org.kie.api.task.model.Task task,
                                           org.kie.internal.task.api.TaskContext context)

    - #### fireAfterTaskSuspended

          public void fireAfterTaskSuspended​(org.kie.api.task.model.Task task,
                                             org.kie.internal.task.api.TaskContext context)

    - #### fireAfterTaskForwarded

          public void fireAfterTaskForwarded​(org.kie.api.task.model.Task task,
                                             org.kie.internal.task.api.TaskContext context)

    - #### fireAfterTaskDelegated

          public void fireAfterTaskDelegated​(org.kie.api.task.model.Task task,
                                             org.kie.internal.task.api.TaskContext context)

    - #### fireAfterTaskNominated

          public void fireAfterTaskNominated​(org.kie.api.task.model.Task task,
                                             org.kie.internal.task.api.TaskContext context)

    - #### fireAfterTaskUpdated

          public void fireAfterTaskUpdated​(org.kie.api.task.model.Task task,
                                           org.kie.internal.task.api.TaskContext context)

    - #### fireAfterTaskReassigned

          public void fireAfterTaskReassigned​(org.kie.api.task.model.Task task,
                                              org.kie.internal.task.api.TaskContext context)

    - #### fireAfterTaskNotified

          public void fireAfterTaskNotified​(org.kie.api.task.model.Task task,
                                            org.kie.internal.task.api.TaskContext context)

    - #### fireAfterTaskInputVariablesChanged

          public void fireAfterTaskInputVariablesChanged​(org.kie.api.task.model.Task task,
                                                         org.kie.internal.task.api.TaskContext context,
                                                         Map<String,​Object> variables)

    - #### fireAfterTaskOutputVariablesChanged

          public void fireAfterTaskOutputVariablesChanged​(org.kie.api.task.model.Task task,
                                                          org.kie.internal.task.api.TaskContext context,
                                                          Map<String,​Object> variables)

    - #### fireAfterTaskAssignmentsAddedEvent

          public void fireAfterTaskAssignmentsAddedEvent​(org.kie.api.task.model.Task task,
                                                         org.kie.internal.task.api.TaskContext context,
                                                         org.kie.api.task.TaskLifeCycleEventListener.AssignmentType type,
                                                         List<org.kie.api.task.model.OrganizationalEntity> entities)

    - #### fireAfterTaskAssignmentsRemovedEvent

          public void fireAfterTaskAssignmentsRemovedEvent​(org.kie.api.task.model.Task task,
                                                           org.kie.internal.task.api.TaskContext context,
                                                           org.kie.api.task.TaskLifeCycleEventListener.AssignmentType type,
                                                           List<org.kie.api.task.model.OrganizationalEntity> entities)